<!--
  @File Name          : taskBoard.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 20/04/2020 à 17:37:44
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    20/04/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->

<template>
    
            <lightning-layout-item padding="horizontal-small" size="2">
                <lightning-layout multiple-rows="true" >
                    <lightning-layout-item size="12">
                        <lightning-card class="notStartedTasksLane">
                            <div slot="title">Not Started</div>
                        </lightning-card>
                    </lightning-layout-item>
                    <template if:true={notStartedTasks}>
                        <template for:each={notStartedTasks} for:item="task">
                            <lightning-layout-item key={Ticket__c.Id} size="12" class="notStartedTask">
                                <c-task-card task={Ticket__c}></c-task-card>
                            </lightning-layout-item>
                        </template>
                    </template>
                </lightning-layout>
            </lightning-layout-item>

            <lightning-layout-item padding="horizontal-small" size="2">
                <lightning-layout multiple-rows="true" >
                    <lightning-layout-item size="12">
                        <lightning-card class="inProgressTasksLane">
                            <div slot="title">In Progress</div>
                        </lightning-card>
                    </lightning-layout-item>
                    <template if:true={inProgressTasks}>
                        <template for:each={inProgressTasks} for:item="task">
                            <lightning-layout-item key={Ticket__c.Id} size="12" class="inProgressTask">
                                <c-task-card task={Ticket__c}></c-task-card>
                            </lightning-layout-item>
                        </template>
                    </template>
                </lightning-layout>
            </lightning-layout-item>

            <lightning-layout-item padding="horizontal-small" size="2">
                <lightning-layout multiple-rows="true" >
                    <lightning-layout-item size="12">
                        <lightning-card class="completedTasksLane">
                            <div slot="title">Completed</div>
                        </lightning-card>
                    </lightning-layout-item>
                    <template if:true={completedTasks}>
                        <template for:each={completedTasks} for:item="task">
                            <lightning-layout-item key={Ticket__c.Id} size="12" class="completedTask">
                                <c-task-card task={Ticket__c}></c-task-card>
                            </lightning-layout-item>
                        </template>
                    </template>
                </lightning-layout>
            </lightning-layout-item>

            <lightning-layout-item padding="horizontal-small" size="2">
                <lightning-layout multiple-rows="true" >
                    <lightning-layout-item size="12">
                        <lightning-card class="deferredTasksLane">
                            <div slot="title">Deferred</div>
                        </lightning-card>
                    </lightning-layout-item>
                    <template if:true={deferredTasks}>
                        <template for:each={deferredTasks} for:item="task">
                            <lightning-layout-item key={Ticket__c.Id} size="12" class="deferredTask">
                                <c-task-card task={Ticket__c}></c-task-card>
                            </lightning-layout-item>
                        </template>
                    </template>
                </lightning-layout>
            </lightning-layout-item>

    
</template>